<template>
  <component :is="Layout">
    <router-view />
  </component>
</template>

<script setup lang="ts">
import { computed } from 'vue';
import layout1 from './Layouts/MainPage/index.vue';
import layout2 from './Layouts/HelpCenter/index.vue'
import { useRoute } from 'vue-router';

const route = useRoute()
const Layout = computed(() => {
  return route.name == 'HelpCenter' ? layout2 : layout1
})
</script>